

# GetSyncJob


Gets the SyncJob.

## Request Syntax


```
GET /sync-jobs/syncSource?workspace=workspaceId HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [syncSource](#API_GetSyncJob_RequestSyntax) **   <a name="tm-GetSyncJob-request-uri-syncSource"></a>
The sync source.  
Currently the only supported syncSource is `SITEWISE `.
Pattern: `[a-zA-Z_0-9]+`   
Required: Yes

 ** [workspaceId](#API_GetSyncJob_RequestSyntax) **   <a name="tm-GetSyncJob-request-uri-workspaceId"></a>
The workspace ID.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z_0-9][a-zA-Z_\-0-9]*[a-zA-Z0-9]+` 

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "creationDateTime": number,
   "status": { 
      "error": { 
         "code": "string",
         "message": "string"
      },
      "state": "string"
   },
   "syncRole": "string",
   "syncSource": "string",
   "updateDateTime": number,
   "workspaceId": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_GetSyncJob_ResponseSyntax) **   <a name="tm-GetSyncJob-response-arn"></a>
The sync job ARN.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:((aws)|(aws-cn)|(aws-us-gov)):iottwinmaker:[a-z0-9-]+:[0-9]{12}:[\/a-zA-Z0-9_\-\.:]+` 

 ** [creationDateTime](#API_GetSyncJob_ResponseSyntax) **   <a name="tm-GetSyncJob-response-creationDateTime"></a>
The creation date and time.  
Type: Timestamp

 ** [status](#API_GetSyncJob_ResponseSyntax) **   <a name="tm-GetSyncJob-response-status"></a>
The SyncJob response status.  
Type: [SyncJobStatus](API_SyncJobStatus.md) object

 ** [syncRole](#API_GetSyncJob_ResponseSyntax) **   <a name="tm-GetSyncJob-response-syncRole"></a>
The sync IAM role.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:((aws)|(aws-cn)|(aws-us-gov)):iam::[0-9]{12}:role/.*` 

 ** [syncSource](#API_GetSyncJob_ResponseSyntax) **   <a name="tm-GetSyncJob-response-syncSource"></a>
The sync source.  
Currently the only supported syncSource is `SITEWISE`.
Type: String  
Pattern: `[a-zA-Z_0-9]+` 

 ** [updateDateTime](#API_GetSyncJob_ResponseSyntax) **   <a name="tm-GetSyncJob-response-updateDateTime"></a>
The update date and time.  
Type: Timestamp

 ** [workspaceId](#API_GetSyncJob_ResponseSyntax) **   <a name="tm-GetSyncJob-response-workspaceId"></a>
The ID of the workspace that contains the sync job.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z_0-9][a-zA-Z_\-0-9]*[a-zA-Z0-9]+` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error has occurred.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The resource wasn't found.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota was exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate exceeds the limit.  
HTTP Status Code: 429

 ** ValidationException **   
Failed  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iottwinmaker-2021-11-29/GetSyncJob) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iottwinmaker-2021-11-29/GetSyncJob) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iottwinmaker-2021-11-29/GetSyncJob) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iottwinmaker-2021-11-29/GetSyncJob) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iottwinmaker-2021-11-29/GetSyncJob) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iottwinmaker-2021-11-29/GetSyncJob) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iottwinmaker-2021-11-29/GetSyncJob) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iottwinmaker-2021-11-29/GetSyncJob) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iottwinmaker-2021-11-29/GetSyncJob) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iottwinmaker-2021-11-29/GetSyncJob) 